{% extends 'dashboard/base.html' %}

{% block styles %}
  {{super()}}
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.9/dist/css/bootstrap-select.min.css">
  <link rel="stylesheet" href="https://unpkg.com/bootstrap-datepicker@1.9.0/dist/css/bootstrap-datepicker3.min.css">
  <style>
    .hidden {
      display: none;
    }
  </style>
{% endblock %}
{% block scripts %}
  {{super()}}
  <script   src="https://code.jquery.com/ui/1.11.3/jquery-ui.min.js"   integrity="sha256-xI/qyl9vpwWFOXz7+x/9WkG5j/SVnSw21viy8fWwbeE="   crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.9/dist/js/bootstrap-select.min.js"></script>
  <script src="https://unpkg.com/bootstrap-datepicker@1.9.0/dist/js/bootstrap-datepicker.min.js"></script>
  <script>
    $(document).ready(function() {
      $('.date').datepicker({
          format: 'dd/mm/yyyy'
      });
    });
    function atsimtest_check() {

      var select = document.getElementById("atsimtest");
      var option = select.options[select.selectedIndex].text
      // Get the output text
      var atsimtest_validity_form = document.getElementById("date");

      // If the checkbox is checked, display the output text
      if (option == "Complete"){
        atsimtest_validity_form.style.display = "block"
      } else {
        atsimtest_validity_form.style.display = "none"
      }
    }
    </script>
{% endblock %}

{% block page_content %}
  <div class="d-sm-flex align-items-center justify-content-between mb-4">
    <h1 class="h3 mb-0 text-gray-800">Add {{mentor.name}} Trainee</h1>
  </div>
  <div class="row">
    <div class="col-xl-12 col-lg-12">
      <div class="card shadow mb-12">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">

        </div>
        <div class="card-body">
          <form action="" method="post">
            {{ form.hidden_tag() }}
            <h5>Member</h5>
            {{ form.trainieid(class="form-control selectpicker") }}
            <br>
            <br>
            <h5>Facility</h5>
            {{ form.facility(class="form-control") }}
            <br>
            <h5>FIR</h5>
            <div class="form-check">
              {% for fir in mentor.firs %}
                <span style="margin-right: 25px;">
                  <input type="checkbox" class="form-check-input" name="fir_{{fir}}">
                  <label class="form-check-label" for="exampleCheck1">{{fir}}</label>
                </span>
              {% endfor %}
            </div>
            <br>
            <h5>TMA</h5>
            <div class="form-check">
              {% for tma in mentor.tmas %}
                <span style="margin-right: 25px;">
                  <input type="checkbox" class="form-check-input" name="tma_{{tma}}">
                  <label class="form-check-label" for="exampleCheck1">{{tma}}</label>
                </span>
              {% endfor %}
            </div>
            <br>
            <h5>ATSimTest</h5>
            {{ form.atsimtest(class="form-control", **{"onchange":"atsimtest_check()"}) }}
            <br>
            <div id="atsimtest_validity_form" class="input-group date" data-provide="datepicker">
              {{ form.atsimtest_validity(class="form-control hidden", placeholder="Validity", id="date") }}
              <span class="input-group-addon"><i class="glyphicon glyphicon-th"></i></span>
            </div>
            <br>
            {{ form.submit(class='btn btn-success', style='float: right;') }}
          </form>
        </div>
      </div>
    </div>
  </div>
{% endblock %}
